## org.eclipse.datatools.connectivity.oda.design
Interface DesignSessionResponse

    public interface DesignSessionResponse

Defines a design session response to an ODA host designer upon exit of the session.

The following features are supported:

- `Session Status`
- `Data Access Design`
- `Designer State`

See Also:
  `DesignPackage.getDesignSessionResponse()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DataAccessDesign` `getDataAccessDesign()` Returns the value of the 'Data Access Design' containment reference.
`DataSetDesign` `getDataSetDesign()` Obtains the top-level Data Set Design associated with this Response session.
`DataSourceDesign` `getDataSourceDesign()` Obtains the Data Source Design associated with the top level Data Set in this Response session.
`DesignerState` `getDesignerState()` Returns the value of the 'Designer State' containment reference.
`SessionStatus` `getSessionStatus()` Returns the value of the 'Session Status' attribute.
`boolean` `isSetSessionStatus()` Returns whether the value of the '`Session Status`' attribute is set.
`void` `setDataAccessDesign(DataAccessDesign value)` Sets the value of the '`Data Access Design`' containment reference.
`void` `setDesignerState(DesignerState value)` Sets the value of the '`Designer State`' containment reference.
`void` `setNewDataAccessDesign(DataSourceDesign dataSourceDesign)` Sets the value of the '`Data Access Design`' containment reference with a new data access design with a new data set associated with given data source design.
`void` `setSessionStatus(SessionStatus value)` Sets the value of the '`Session Status`' attribute.
`void` `unsetSessionStatus()` Unsets the value of the '`Session Status`' attribute.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDataSourceDesign

    DataSourceDesign getDataSourceDesign()

  Obtains the Data Source Design associated with the top level Data Set in this Response session.

  Returns:
    the value of the 'Data Source Design' containment reference; may be null if none is specified.
  See Also:
    `getDataAccessDesign()`

### getDataSetDesign

    DataSetDesign getDataSetDesign()

  Obtains the top-level Data Set Design associated with this Response session.

  Returns:
    the value of the 'Data Set Design' containment reference; may be null if none is specified.
  See Also:
    `getDataAccessDesign()`

### getSessionStatus

    SessionStatus getSessionStatus()

  Returns the value of the 'Session Status' attribute. The default value is `"Ok"`. The literals are from the enumeration `SessionStatus`. ODA design session exit status. This tells the ODA host designer whether the design session was successful, and how it may consume and save the session response information.

  Returns:
    the value of the 'Session Status' attribute.
  See Also:
    `SessionStatus`, `isSetSessionStatus()`, `unsetSessionStatus()`, `setSessionStatus(SessionStatus)`, `DesignPackage.getDesignSessionResponse_SessionStatus()`

### setSessionStatus

    void setSessionStatus(SessionStatus value)

  Sets the value of the '`Session Status`' attribute.

  Parameters:
    `value` - the new value of the 'Session Status' attribute.
  See Also:
    `SessionStatus`, `isSetSessionStatus()`, `unsetSessionStatus()`, `getSessionStatus()`

### unsetSessionStatus

    void unsetSessionStatus()

  Unsets the value of the '`Session Status`' attribute.

  See Also:
    `isSetSessionStatus()`, `getSessionStatus()`, `setSessionStatus(SessionStatus)`

### isSetSessionStatus

    boolean isSetSessionStatus()

  Returns whether the value of the '`Session Status`' attribute is set.

  Returns:
    whether the value of the 'Session Status' attribute is set.
  See Also:
    `unsetSessionStatus()`, `getSessionStatus()`, `setSessionStatus(SessionStatus)`

### getDataAccessDesign

    DataAccessDesign getDataAccessDesign()

  Returns the value of the 'Data Access Design' containment reference. The latest data access design as updated during the design session. Any updates should be made in own instance, separate from the instance provided in the design session request.

  Returns:
    the value of the 'Data Access Design' containment reference.
  See Also:
    `setDataAccessDesign(DataAccessDesign)`, `DesignPackage.getDesignSessionResponse_DataAccessDesign()`

### setDataAccessDesign

    void setDataAccessDesign(DataAccessDesign value)

  Sets the value of the '`Data Access Design`' containment reference.

  Parameters:
    `value` - the new value of the 'Data Access Design' containment reference.
  See Also:
    `getDataAccessDesign()`

### setNewDataAccessDesign

    void setNewDataAccessDesign(DataSourceDesign dataSourceDesign)

  Sets the value of the '`Data Access Design`' containment reference with a new data access design with a new data set associated with given data source design.

  Parameters:
    `dataSourceDesign` -
  See Also:
    `setDataAccessDesign(DataAccessDesign)`

### getDesignerState

    DesignerState getDesignerState()

  Returns the value of the 'Designer State' containment reference. The private state of the ODA designer upon exit of a design session. An ODA host designer must handle it as a black-box; it should simply provide persistence services and pass it back in the next session request.

  Returns:
    the value of the 'Designer State' containment reference.
  See Also:
    `setDesignerState(DesignerState)`, `DesignPackage.getDesignSessionResponse_DesignerState()`

### setDesignerState

    void setDesignerState(DesignerState value)

  Sets the value of the '`Designer State`' containment reference.

  Parameters:
    `value` - the new value of the 'Designer State' containment reference.
  See Also:
    `getDesignerState()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.